Bug 36071 - devel/autoconf213: eliminate file conflict with autoconf.info, add libexec/autoconf213/* links
Summary: devel/autoconf213: eliminate file conflict with autoconf.info, add libexec/au...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ade Lovett
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-19 02:40 UTC by Alan E
Modified: 2002-07-09 23:52 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (6.19 KB, patch)
2002-03-19 02:40 UTC, Alan E
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan E 2002-03-19 02:40:01 UTC
autoconf213 conflicts with autoconf for ownership of autoconf.info and
standards.info. This patch eliminates that conflict by creating
autoconf213.info and giving it a separate info/dir entry.

Since the .info files are the only documentation, and since the two versions
are significantly different, file conflict on the .info files is a significant
problem.

This patch also creates links in libexec/autoconf213, with the original 
executable names, to the binaries that are named *213. This is in preparation
for a bsd.port.mk which will make it easier to specify using this version
of autoconf, by placing that dir first in PATH for the make.

Fix: --8<----8<----8<----8<----8<----8<----8<----8<----8<----8<--
Comment 1 Alan Eldridge 2002-03-19 03:12:18 UTC
Sorry 'bout this, I realize a small adjustment to the Makefile was in order
to recover more gracefully from a partial install (hey, it can happen).

The difference is the addition of the:

	@-${RM} -fr ${PREFIX}/libexec/autoconf213

in the post-install target.

Please use this patch set instead.
--8<----8<----8<----8<----8<----8<----8<----8<----8<----8<--
Index: devel/autoconf213/Makefile
===================================================================
RCS file: /home/alane/cvsroot/ports/devel/autoconf213/Makefile,v
retrieving revision 1.29
diff -u -3 -r1.29 Makefile
--- devel/autoconf213/Makefile	26 Dec 2001 11:50:36 -0000	1.29
+++ devel/autoconf213/Makefile	19 Mar 2002 03:08:37 -0000
@@ -11,7 +11,7 @@
 
 PORTNAME=	autoconf213
 PORTVERSION=	2.13.000227
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel
 MASTER_SITES=	${MASTER_SITE_SOURCEWARE} ${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	binutils autoconf
@@ -28,10 +28,17 @@
 CONFIGURE_ARGS=	--program-suffix=213 --datadir=${PREFIX}/share/autoconf213
 WRKSRC=		${WRKDIR}/autoconf
 
+post-patch:
+	@-${RM} ${WRKSRC}/*.info*
+
 post-install:
 	${INSTALL_SCRIPT} ${WRKSRC}/install-sh \
 		${PREFIX}/share/autoconf213/autoconf
-	@install-info ${PREFIX}/info/autoconf.info ${PREFIX}/info/dir
-	@install-info ${PREFIX}/info/standards.info ${PREFIX}/info/dir
+	@-${RM} -fr ${PREFIX}/libexec/autoconf213
+	${MKDIR} ${PREFIX}/libexec/autoconf213
+.for i in autoconf autoheader autoreconf autoscan autoupdate ifnames
+	${LN} -s ../../bin/${i}213 ${PREFIX}/libexec/autoconf213/${i}
+.endfor
+	@install-info ${PREFIX}/info/autoconf213.info ${PREFIX}/info/dir
 
 .include <bsd.port.mk>
Index: devel/autoconf213/pkg-plist
===================================================================
RCS file: /home/alane/cvsroot/ports/devel/autoconf213/pkg-plist,v
retrieving revision 1.8
diff -u -3 -r1.8 pkg-plist
--- devel/autoconf213/pkg-plist	24 Dec 2001 14:34:26 -0000	1.8
+++ devel/autoconf213/pkg-plist	19 Mar 2002 02:17:42 -0000
@@ -4,12 +4,15 @@
 bin/autoscan213
 bin/autoupdate213
 bin/ifnames213
-@unexec install-info --delete %D/info/autoconf.info %D/info/dir
-@unexec install-info --delete %D/info/standards.info %D/info/dir
-info/autoconf.info
-info/standards.info
-@exec install-info %D/info/autoconf.info %D/info/dir
-@exec install-info %D/info/standards.info %D/info/dir
+@unexec install-info --delete %D/info/autoconf213.info %D/info/dir
+info/autoconf213.info
+@exec install-info %D/info/autoconf213.info %D/info/dir
+libexec/autoconf213/autoconf
+libexec/autoconf213/autoheader
+libexec/autoconf213/autoreconf
+libexec/autoconf213/autoscan
+libexec/autoconf213/autoupdate
+libexec/autoconf213/ifnames
 share/autoconf213/autoconf/acconfig.h
 share/autoconf213/autoconf/acfunctions
 share/autoconf213/autoconf/acgeneral.m4
@@ -26,5 +29,6 @@
 share/autoconf213/autoconf/config.guess
 share/autoconf213/autoconf/config.sub
 share/autoconf213/autoconf/install-sh
+@dirrm libexec/autoconf213
 @dirrm share/autoconf213/autoconf
 @dirrm share/autoconf213
Index: devel/autoconf213/files/patch-aa
===================================================================
RCS file: /home/alane/cvsroot/ports/devel/autoconf213/files/patch-aa,v
retrieving revision 1.3
diff -u -3 -r1.3 patch-aa
--- devel/autoconf213/files/patch-aa	26 Jan 1999 01:54:53 -0000	1.3
+++ devel/autoconf213/files/patch-aa	19 Mar 2002 02:12:43 -0000
@@ -1,5 +1,27 @@
---- Makefile.in.orig	Tue Jan  5 08:27:16 1999
-+++ Makefile.in	Sat Jan 23 23:29:33 1999
+--- Makefile.in.orig	Sun Feb 27 11:18:10 2000
++++ Makefile.in	Mon Mar 18 21:10:20 2002
+@@ -68,7 +68,7 @@
+ DISTFILES = AUTHORS COPYING ChangeLog ChangeLog.1 INSTALL \
+ 	Makefile.in NEWS README TODO $(M4FILES) \
+ 	acconfig.h acfunctions acheaders acidentifiers \
+-	acmakevars acprograms autoconf.info* \
++	acmakevars acprograms autoconf213.info* \
+ 	autoconf.sh autoconf.texi install.texi \
+ 	autoheader.sh autoscan.pl autoreconf.sh autoupdate.sh ifnames.sh \
+ 	config.guess config.sub configure configure.in \
+@@ -106,10 +106,10 @@
+ autoconf.m4f: autoconf.m4 acgeneral.m4 acspecific.m4 acoldnames.m4
+ autoheader.m4f: autoheader.m4 acgeneral.m4 acspecific.m4 acoldnames.m4
+ 
+-info: autoconf.info @standards_info@ INSTALL
++info: autoconf213.info
+ 
+ # Use --no-split to avoid creating filenames > 14 chars.
+-autoconf.info: autoconf.texi install.texi
++autoconf213.info: autoconf.texi install.texi
+ 	$(MAKEINFO) -I$(srcdir) $(srcdir)/autoconf.texi --no-split --output=$@
+ 
+ INSTALL: install.texi
 @@ -141,7 +141,7 @@
  
  install: all $(M4FILES) acconfig.h installdirs install-info
@@ -9,7 +31,7 @@
  	done
  	for i in $(M4FROZEN); do \
  	  $(INSTALL_DATA) $$i $(acdatadir)/$$i; \
-@@ -150,9 +150,9 @@
+@@ -150,16 +150,16 @@
  	  $(INSTALL_DATA) $(srcdir)/$$i $(acdatadir)/$$i; \
  	done
  	-if test -f autoscan; then \
@@ -21,3 +43,20 @@
  	$(INSTALL_DATA) $(srcdir)/$$i $(acdatadir)/$$i; \
  	done; \
  	else :; fi
+ 
+ # Don't cd, to avoid breaking install-sh references.
+ install-info: info installdirs
+-	if test -f autoconf.info; then \
++	if test -f autoconf213.info; then \
+ 	  for i in *.info*; do \
+ 	    $(INSTALL_DATA) $$i $(infodir)/$$i; \
+ 	  done; \
+@@ -174,7 +174,7 @@
+ 	  rm -f $(bindir)/`echo $$p|sed '$(transform)'`; \
+ 	done
+ 	rm -fr $(acdatadir)
+-	cd $(infodir) && rm -f autoconf.info*
++	cd $(infodir) && rm -f autoconf213.info*
+ 	if test -f standards.info || test -f $(srcdir)/standards.info; \
+ 	then cd $(infodir) && rm -f standards.info*; fi
+ 
Index: devel/autoconf213/files/patch-ab
===================================================================
RCS file: /home/alane/cvsroot/ports/devel/autoconf213/files/patch-ab,v
retrieving revision 1.2
diff -u -3 -r1.2 patch-ab
--- devel/autoconf213/files/patch-ab	26 Jan 1999 01:54:53 -0000	1.2
+++ devel/autoconf213/files/patch-ab	19 Mar 2002 02:30:14 -0000
@@ -1,10 +1,24 @@
---- autoconf.texi.orig	Tue Jan  5 08:28:37 1999
-+++ autoconf.texi	Sat Jan 23 23:34:43 1999
-@@ -4,6 +4,7 @@
- @settitle Autoconf
+--- autoconf.texi.orig	Sun Feb 27 11:18:10 2000
++++ autoconf.texi	Mon Mar 18 21:30:10 2002
+@@ -1,9 +1,10 @@
+ \input texinfo @c -*-texinfo-*-
+ @c %**start of header
+-@setfilename autoconf.info
+-@settitle Autoconf
++@setfilename autoconf213.info
++@settitle Autoconf213
  @c For double-sided printing, uncomment:
  @c @setchapternewpage odd
 +@dircategory Programming & development tools
  @c %**end of header
  
  @set EDITION 2.13
+@@ -17,7 +18,7 @@
+ @ifinfo
+ @format
+ START-INFO-DIR-ENTRY
+-* Autoconf: (autoconf).         Create source code configuration scripts.
++* Autoconf213: (autoconf213).   Create source code configuration scripts.
+ END-INFO-DIR-ENTRY
+ @end format
+ 
--8<----8<----8<----8<----8<----8<----8<----8<----8<----8<--

-- 
AlanE
"When the going gets tough, the weird turn pro." - HST
Comment 2 Pete Fritchman freebsd_committer 2002-03-19 06:14:19 UTC
Responsible Changed
From-To: freebsd-ports->portmgr

Over to maintainers
Comment 3 Ade Lovett freebsd_committer 2002-07-06 00:01:50 UTC
Responsible Changed
From-To: portmgr->ade

I'll take a look at this.
Comment 4 Ade Lovett freebsd_committer 2002-07-09 23:51:54 UTC
State Changed
From-To: open->closed

Patch committed, thanks!